# View Extensions Translation Instructions

## Creating a New Translation

1. Create a copy of the *translation-tempate.json* file or other existing translation
   file (if it is easier to translate from that language into the target language).\
   **Note:** English is the default language and its texts cannot be modified by a translation file.
2. Name the file with the three letter identifier of the target language.\
   (See the language identiers in the Appendix A below.)
3. Replace the English texts for each property with the corresponding translation 
   of the target language.
4. Place the translation file in the translations folder.

#### Appendix A: Language Codes

| Language                       | Code | ISO        |
| -------------------------------|------|------------|
| Albanian                       | sqi  | sq-AL      |
| Arabic                         | ara  | ar         |
| Bulgarian                      | bgr  | bg-BG      |
| Chinese (Simplified / PRC)     | chs  | zh-CN      |
| Chinese (Traditional / Taiwan) | cht  | zh-TW      |
| Croatian                       | hrv  | hr-HR      |
| Czech                          | csy  | cs-CZ      |
| Danish                         | dan  | da-DK      |
| Dutch                          | nld  | nl-NL      |
| English                        | eng  | en_US      |
| Estonian                       | eti  | et-EE      |
| Finnish                        | fin  | fi-FI      |
| French                         | fra  | fr-FR      |
| German                         | deu  | de-DE      |
| Greek                          | ell  | el-GR      |
| Hebrew                         | heb  | he-IL      |
| Hungarian                      | hun  | hu-HU      |
| Italian                        | ita  | it-IT      |
| Japanese                       | jpn  | ja-JP      |
| Korean                         | kor  | ko-KR      |
| Macedonian                     | mki  | mk-MK      |
| Mongolian                      | mon  | mn-MN      |
| Norwegian (Bokmal)             | nor  | nb-NO      |
| Polish                         | plk  | pl-PL      |
| Portuguese (Brazil)            | ptb  | pt-BR      |
| Romanian                       | rom  | ro-RO      |
| Russian                        | rus  | ru-RU      |
| Serbian (Latin)                | srm  | sr-Latn-BA |
| Serbian (Cyrillic)             | sro  | sr-Cyrl-RS |
| Slovak                         | sky  | sk-SK      |
| Slovenian                      | slv  | sl-SI      |
| Spanish                        | esn  | es-ES      |
| Swedish                        | sve  | sv-SE      |
| Thai                           | tha  | th-TH      |
| Turkish                        | trk  | tr-TR      |
| Ukrainian                      | ukr  | uk-UA      |
| Vietnamese                     | vit  | vi         |